Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77725 - traceback when account name has spaces in
Summary: traceback when account name has spaces in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
: 76934 (view as bug list)
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-11-12 17:55 UTC by Tim Waugh
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-04 09:48:47 UTC


Attachments (Terms of Use)

Description Tim Waugh 2002-11-12 17:55:15 UTC
Description of Problem:
Apparently redhat-config-network doesn't handle accounts names with spaces.

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.20-1

How Reproducible:
Don't know; submitting this by proxy

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 103, in save
    papconf = getPAPConf()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NC_functions.py",
line 101, in getPAPConf
    DVpapconf = ConfPAP.ConfPAP("/etc/ppp/pap-secrets")
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 30, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 178, in __init__
    self.read()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 35, in read
    self.initvars()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 72, in initvars
    var = self.getfields()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 95, in getfields
   raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
IndexError: end quote not found in /etc/ppp/pap-secrets:OPTIM

Local variables in innermost frame:
var: ['OPTIM', '05', 'TRANSLEIS"', '*', '"286642904"']
quote: "
self: <rhpl.ConfPAP.ConfPAP instance at 0x8564fc4>
p: -6

Comment 1 Harald Hoyer 2002-11-13 11:32:06 UTC
Problem here is e.g. the " after TRANSLEIS
'TRANSLEIS"', '*', '"286642904"'

Comment 2 Tim Waugh 2002-11-13 12:47:46 UTC
Well, the original would have been:

"OPTIM 05 TRANSLEIS"

The errant code is here (ConfPAP.py):

        var = Conf.Conf.getfields(self)
        if len(var[0]) and var[0][0] in '\'"':
            # found quote; strip from beginning and end
            quote = var[0][0]
            var[0] = var[0][1:]

Obviously this assumes that there are no IFS chars in the quoted field.

Should have used wordexp.. :-P

Comment 3 Harald Hoyer 2002-11-13 12:59:49 UTC
ah oh... code stolen from Conf.py :)

Comment 4 Harald Hoyer 2002-11-13 14:24:39 UTC
*** Bug 76934 has been marked as a duplicate of this bug. ***

Comment 5 Harald Hoyer 2003-01-13 15:21:28 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 6 Harald Hoyer 2004-06-04 09:48:47 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.